//------------------------------------------------------------------------------
// Embedded Software Simulation Base Classes
// Copyright (C) 2010-2011 Cores Co., Ltd. Japan
//------------------------------------------------------------------------------
// $Id: INamedList.cs 88 2011-04-05 11:03:57Z nagasima $
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace SimBase
{
	public interface INamedList<T> : IEnumerable<T>, IEnumerable
	{
		int Count { get;}
		T this[string name] { get;}
		void Lock();
		void Unlock();
		T[] ToArray();
	}
}
